Parser.Node (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred.join, class: Parser, class: Node

Package org.apache.hadoop.mapred.join

# Class Parser.Node

java.lang.Object
org.apache.hadoop.mapred.join.Parser.Node

All Implemented Interfaces:
  `InputFormat`, `ComposableInputFormat`

Enclosing class:
  Parser

@Public @Evolving public abstract static class Parser.Node extends Object implements ComposableInputFormat

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Class<? extends WritableComparator>`
  `cmpcl`
  `protected int`
  `id`
  `protected String`
  `ident`
  `protected static final Map<String,Constructor<? extends ComposableRecordReader>>`
  `rrCstrMap`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Node(String ident)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static void`
  `addIdentifier(String ident, Class<?>[] mcstrSig, Class<? extends Parser.Node> nodetype, Class<? extends ComposableRecordReader> cl)`
  For a given identifier, add a mapping to the nodetype for the parse tree and to the ComposableRecordReader to be created, including the formals required to invoke the constructor.
  `protected void`
  `setID(int id)`
  `protected void`
  `setKeyComparator(Class<? extends WritableComparator> cmpcl)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.mapred.join.ComposableInputFormat

  `getRecordReader`

  ### Methods inherited from interface org.apache.hadoop.mapred.InputFormat

  `getSplits`

- ## Field Details

  - ### rrCstrMap

    protected static final Map<String,Constructor<? extends ComposableRecordReader>> rrCstrMap

  - ### id

    protected int id

  - ### ident

    protected String ident

  - ### cmpcl

    protected Class<? extends WritableComparator> cmpcl

- ## Constructor Details

  - ### Node

    protected Node(String ident)

- ## Method Details

  - ### addIdentifier

    protected static void addIdentifier(String ident, Class<?>[] mcstrSig, Class<? extends Parser.Node> nodetype, Class<? extends ComposableRecordReader> cl) throws NoSuchMethodException
    For a given identifier, add a mapping to the nodetype for the parse tree and to the ComposableRecordReader to be created, including the formals required to invoke the constructor. The nodetype and constructor signature should be filled in from the child node.
    Throws:
      `NoSuchMethodException`

  - ### setID

    protected void setID(int id)

  - ### setKeyComparator

    protected void setKeyComparator(Class<? extends WritableComparator> cmpcl)